Skip to content

Partial Update Universal Profile (PATCH)

Request

Security
bearerAuth and apiKeyAuth
Query
idstring

Profile ID

channelTypeChannelIdstring

ChannelType~ChannelId

Bodyapplication/jsonrequired
idstring
profileKeyobject(ProfileKey_profile)

Profile Key.

profileUpdateRequestDTOobject(ProfileUpdateRequestDTO)
profileWorkflowUpdateRequestDTOobject(ProfileWorkflowUpdateRequestDTO)
curl -i -X PATCH \
  'https://developer.sprinklr.com/_mock/apis/sprinklr-v3/profile?id=string&channelTypeChannelId=string' \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "id": "string",
    "profileKey": {
      "channelType": "string",
      "channelId": "string"
    },
    "profileUpdateRequestDTO": {
      "id": "string",
      "profiles": [
        {
          "name": "string",
          "channelType": "string",
          "channelId": "string",
          "permalink": "string",
          "avatarUrl": "string",
          "profileImageUrl": "string",
          "coverImageUrl": "string",
          "bio": "string",
          "followers": 0,
          "following": 0,
          "username": "string",
          "verified": true,
          "unSubscribed": true,
          "deleted": true,
          "snCreatedTime": 0,
          "snModifiedTime": 0,
          "statusCount": 0,
          "accountSpecificInfos": [
            {
              "accountId": 0,
              "externalId": "string",
              "lastBrandEngagedTime": 0,
              "lastFanEngagedTime": 0,
              "optIn": true,
              "fanSubscriptionState": "string",
              "activeUser": true,
              "invited": true
            }
          ],
          "additional": {
            "property1": [
              "string"
            ],
            "property2": [
              "string"
            ]
          },
          "birthDate": "string",
          "url": "string",
          "maritalStatus": "string"
        }
      ],
      "contact": {
        "firstName": "string",
        "maidenName": "string",
        "lastName": "string",
        "fullName": "string",
        "email": "string",
        "username": "string",
        "phoneNo": "string",
        "address": {
          "street1": "string",
          "street2": "string",
          "city": "string",
          "state": "string",
          "country": "string",
          "postalCode": "string"
        },
        "website": [
          "string"
        ],
        "phoneDetails": [
          {
            "phoneNo": "string",
            "countryCode": "string"
          }
        ],
        "emailDetails": [
          {
            "email": "string",
            "type": "string"
          }
        ]
      },
      "demographics": {
        "age": 0,
        "location": "string",
        "gender": "string",
        "language": "string",
        "additional": {
          "property1": "string",
          "property2": "string"
        }
      },
      "works": [
        {
          "name": "string",
          "description": "string",
          "title": "string",
          "startDate": "string",
          "endDate": "string",
          "location": "string",
          "department": "string"
        }
      ],
      "educations": [
        {
          "name": "string",
          "type": "string",
          "year": "string",
          "startMonthYear": "string",
          "grade": "string",
          "notes": "string",
          "activities": "string",
          "fieldsOfStudy": "string"
        }
      ]
    },
    "profileWorkflowUpdateRequestDTO": {
      "ids": [
        "string"
      ],
      "universalProfileKeyList": [
        {
          "channelType": "string",
          "channelId": "string"
        }
      ],
      "partnerProfileLists": [
        0
      ],
      "clientProfileLists": [
        0
      ],
      "partnerCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "addedPartnerCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "removedPartnerCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "selectivePartnerCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "spaceCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "addedSpaceCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "removedSpaceCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "selectiveSpaceCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "channelCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "addedChannelCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "removedChannelCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "selectiveChannelCustomProperties": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      }
    }
  }'

Responses

Success

Bodyapplication/json
idstring

Unique identifier of the unified profile

contactobject(ContactInfo)

Contact Information of the profile.

demographicsobject(Demographics)

Demographic details of the profile.

worksArray of objects(Work)

Work history of the profile.

profilesArray of objects(Profile)

List of social identities linked to the profile.

profileWorkflowobject(ProfileWorkflow)

List of social identities linked to the profile.

createdTimeinteger, (int64)

Created time of the profile in sprinklr.

modifiedTimeinteger, (int64)

Last modified time of the profile in sprinklr.

organizationsArray of objects(Organization)

Organizations of the profile

certificatesArray of objects(Certificate)

Certificates of the profile

recommendationsArray of objects(ProfileRecommendation)

Recommendations of the profile

educationsArray of objects(Education)

Educations of the profile

languagesArray of objects(Language)

Languages of the profile

skillsArray of objects(Skill)

Skills of the profile

coursesArray of objects(Course)

Courses of the profile

honorsArray of objects(Honors)

Honors of the profile

patentsArray of objects(Patent)

Patents of the profile

projectsArray of objects(Project)

Projects of the profile

publicationsArray of objects(Publication)

Publications of the profile

testScoresArray of objects(TestScore)

Test scores of the profile

voluntaryExpArray of objects(VoluntaryExperience)

Voluntary Experience of the profile

operatingHoursobject(OperatingHours)

Operating Hours of the profile

customPropertiesMetadataArray of objects(CustomPropertyWithMetadata)

Custom Property details

restrictedboolean

Profile Masked Flag

Response
{ "id": "string", "contact": { "firstName": "string", "maidenName": "string", "lastName": "string", "fullName": "string", "email": "string", "username": "string", "phoneNo": "string", "address": { … }, "website": [ … ], "phoneDetails": [ … ], "emailDetails": [ … ] }, "demographics": { "age": 0, "location": "string", "gender": "string", "language": "string", "additional": { … } }, "works": [ { … } ], "profiles": [ { … } ], "profileWorkflow": { "profileLists": [ … ], "customProperties": { … }, "profileSpaceWorkflows": [ … ] }, "createdTime": 0, "modifiedTime": 0, "organizations": [ { … } ], "certificates": [ { … } ], "recommendations": [ { … } ], "educations": [ { … } ], "languages": [ { … } ], "skills": [ { … } ], "courses": [ { … } ], "honors": [ { … } ], "patents": [ { … } ], "projects": [ { … } ], "publications": [ { … } ], "testScores": [ { … } ], "voluntaryExp": [ { … } ], "operatingHours": { "regularHours": [ … ], "specialHours": [ … ] }, "customPropertiesMetadata": [ { … } ], "restricted": true }